# keystone.application_credential.core module

Main entry point into the Application Credential service.

class keystone.application_credential.core.Manager

  Bases: `Manager`

  Default pivot point for the Application Credential backend.

  See `keystone.common.manager.Manager` for more details on how this dynamically calls the backend.

  authenticate(application_credential_id, secret)

    Authenticate with an application credential.

    Parameters:

      - application_credential_id (str) – Application Credential ID

      - secret (str) – Application Credential secret

  create_application_credential(application_credential, initiator=None)

    Create a new application credential.

    Parameters:

      - application_credential (dict) – Application Credential data

      - initiator – CADF initiator

    Returns:

      a new application credential

  delete_access_rule(access_rule_id, initiator=None)

    Delete an access rule.

    Parameters:

      - str – access_rule_id: Access Rule ID

      - initiator – CADF initiator

    Raises:

      keystone.exception.AccessRuleNotFound – If the access rule doesn’t exist.

  delete_application_credential(application_credential_id, initiator=None)

    Delete an application credential.

    Parameters:

      - application_credential_id (str) – Application Credential ID

      - initiator – CADF initiator

    Raises:

      keystone.exception.ApplicationCredentialNotFound – If the application credential doesn’t exist.

  driver_namespace: str = 'keystone.application_credential'
  get_access_rule(access_rule_id)

    Get access rule details.

    Parameters:

      access_rule_id (str) – Access Rule ID

    Returns:

      an access rule

  get_application_credential(application_credential_id)

    Get application credential details.

    Parameters:

      application_credential_id (str) – Application Credential ID

    Returns:

      an application credential

  list_access_rules_for_user(user_id, hints=None)

    List access rules for user.

    Parameters:

      user_id (str) – User ID

    Returns:

      a list of access rules

  list_application_credentials(user_id, hints=None)

    List application credentials for a user.

    Parameters:

      - user_id (str) – User ID

      - hints (dict) – Properties to filter on

    Returns:

      a list of application credentials

this page last updated: 2026-06-11 21:50:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug